[effects/slide] Disable "Slide docks"
ClosedPublic

Authored by zzag on Jun 16 2018, 9:10 AM.

Details

Summary

D9638 made docks to slide to "fix" the problem when switching to a
virtual desktop that has a window in full screen mode:

As it turns out, people don't like this kind of behaviour. Another
problem with sliding of docks is that pager goes away.

This change disables sliding of docks by default. One can enable sliding
of docks by checking "Slide docks" checkbox in slide effect KCM.

Yet, transition to/from virtual desktop with a window in full screen
mode doesn't look great but that's somewhat acceptable:

(we don't see issues that are present in the video above because the new slide effect elevates docks if sliding of docks is disabled)

Test Plan

Switched between virtual desktops, the default panel didn't slide.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zzag created this revision.Jun 16 2018, 9:10 AM
Restricted Application added a project: KWin. · View Herald TranscriptJun 16 2018, 9:10 AM
Restricted Application added a subscriber: kwin. · View Herald Transcript
zzag requested review of this revision.Jun 16 2018, 9:10 AM
zzag edited the summary of this revision. (Show Details)Jun 16 2018, 9:10 AM
zzag edited the summary of this revision. (Show Details)Jun 16 2018, 9:16 AM
zzag edited the summary of this revision. (Show Details)Jun 16 2018, 9:21 AM
zzag edited the summary of this revision. (Show Details)

An advice: don't change the default based on the random feedback you get. If you change this I can promise you you will get the same amount of complaints after the next release.

If you think the feedback could be valid try to get more data on it. Unfortunately we don't have the infrastructure yet to collect it. What I used to do is looking at lots of support information in bug reports to see what users change.

Another advice: it's your effect, you can decide what's the default. As the author it's totally fine to say the default stays like that because I like it that way. There's an option after all.

zzag added a comment.Jun 16 2018, 4:51 PM

First of all, thank you for your pieces of advice. :-)

An advice: don't change the default based on the random feedback you get. If you change this I can promise you you will get the same amount of complaints after the next release.

I think it would be fine to get several complaints. It would still be possible to get sliding of docks back by checking a check box.

If you think the feedback could be valid try to get more data on it. Unfortunately we don't have the infrastructure yet to collect it. What I used to do is looking at lots of support information in bug reports to see what users change.

Yeah, that's really sad. The new slide effect was around for about half a year and I've got "feedback" only after release.

Another advice: it's your effect, you can decide what's the default. As the author it's totally fine to say the default stays like that because I like it that way. There's an option after all.

I'm totally fine with changing default value for "Slide docks". Today I found out that both Windows 10 and macOS don't slide their docks/panels(or whatever Windows folks call them). So, by making sliding of docks disabled by default, we'll make the slide effect more familiar (and fix issues with the pager).

ngraham accepted this revision.Jun 17 2018, 1:41 PM
ngraham added a subscriber: ngraham.

+1, this seems like a saner default that re-uses people's familiarity with the effect on other platforms.

This revision is now accepted and ready to land.Jun 17 2018, 1:41 PM
zzag added a comment.Jun 18 2018, 7:27 PM

KWin folks, do you have objections?

graesslin accepted this revision.Sat, Jun 23, 7:26 AM
This revision was automatically updated to reflect the committed changes.